You would have to install WMI on NT4-based machines, yes.